function convertFigures()

    function recursiveDir(file)
        f = dir(file);
        for i = 1:numel(f)
            convert(fullfile(f(i).folder,f(i).name));
        end
        f = dir();
        for i = 1:numel(f)
            if f(i).isdir && ~any(strcmp(f(i).name,{'.','..'}))
                cd(f(i).name)
                recursiveDir(file);
                cd '..'
            end
        end
    end
        
    function convert(fullpath)
        [path,fileName,ext] = fileparts(fullpath);
        open(fullpath);
        
         set(gcf,'Position',[100 100 0.8*450 0.8*420]);
         set(gcf,'Position',[100 100 1.5*450 1.5*450]);
%         savefig(gcf,fullfile(path,fileName));
%         export_fig(fullpath);
        
        % export_fig(fullfile(path,fileName),'-png','-nocrop','-transparent');

        print(fullfile(path,fileName), '-dsvg');
        system(sprintf('inkscape --export-pdf=%s %s', [fullfile(path,fileName) '.pdf'], [fullfile(path,fileName) '.svg']));
        system(sprintf('inkscape --export-eps=%s %s', [fullfile(path,fileName) '.eps'], [fullfile(path,fileName) '.svg']))
		system(sprintf('inkscape --export-png=%s --export-dpi=300 %s', [fullfile(path,fileName) '.png'], [fullfile(path,fileName) '.svg']))
        
        close
    end

    recursiveDir('*.fig');
        
end